> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# Get Agreement Detail

GET https://api.filesearch.dev/v2/datasets/odyssey/credit-analysis/agreements/{company}

Get the most recent credit agreement filing for a company.

Locates the 8-K filing containing the credit agreement and provides
a link to the full document on SEC EDGAR.

Reference: https://docs.filesearch.dev/reference/datasets/odyssey/credit-analysis/agreements/credit-analysis-agreement-detail

## Request

### Path parameters

- `company` (string, required) — Company name to find credit agreement for

## Response

### 200

Successful Response

- `company` (string, optional)
- `error` (string, optional)

## Errors

### 500 Internal Server Error

Internal server error

- `error` (string, required) — `INTERNAL_ERROR`.
- `message` (string, required)
- `path` (string, required)

## Examples

**Response**

```json
{
  "company": "Chefs' Warehouse, Inc.",
  "error": "No credit agreement filing found"
}
```

**SDK Code**

```python Python REST
import requests

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"

headers = {"Authorization": f"Bearer {API_KEY}"}

response = requests.get(
    f"{BASE_URL}/v2/datasets/odyssey/credit-analysis/agreements/Chefs%27%20Warehouse%2C%20Inc.",
    headers=headers,
    timeout=60.0
)
print(response.json())
```

```typescript TypeScript REST
const BASE_URL = "https://api.filesearch.dev";
const API_KEY = "your_api_key";

const response = await fetch(`${BASE_URL}/v2/datasets/odyssey/credit-analysis/agreements/Chefs%27%20Warehouse%2C%20Inc.`, {
    method: "GET",
    headers: { "Authorization": `Bearer ${API_KEY}` }
});
console.log(await response.json());
```